#include <Foundation/NSString.h>
@interface NSFramework_CoreData : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_CoreData
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"NSFetchRequest", @"NSEntityDescription", @"NSManagedObjectID", @"NSRelationshipDescription", @"NSAttributeDescription", @"NSPropertyDescription", @"GSMergePolicy", @"NSManagedObjectContext", @"NSManagedObjectModel", @"GSPersistentStore", @"NSFetchedPropertyDescription", @"NSPersistentStoreCoordinator", @"GSSQLitePersistentStore", @"NSManagedObject", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
